dht::IpServiceAnnouncement Class Reference
Inheritance diagram for dht::IpServiceAnnouncement:
[legend]
Collaboration diagram for dht::IpServiceAnnouncement:
[legend]

## Public Member Functions

| IpServiceAnnouncement (sa_family_t family=AF_UNSPEC, in_port_t p=0)
| IpServiceAnnouncement (const SockAddr &sa)
| IpServiceAnnouncement (const Blob &b)
template<typename Packer >
void | msgpack_pack (Packer &pk) const
virtual void | msgpack_unpack (msgpack::object o)
in_port_t | getPort () const
void | setPort (in_port_t p)
const SockAddr & | getPeerAddr () const
virtual const ValueType & | getType () const
Public Member Functions inherited from dht::Value::Serializable< IpServiceAnnouncement >
virtual const ValueType & | getType () const
virtual void | unpackValue (const Value &v)
virtual Value | packValue () const
virtual const ValueType & | getType () const =0
virtual void | unpackValue (const Value &v)=0
virtual Value | packValue () const =0

## Static Public Member Functions

static bool | storePolicy (InfoHash, std::shared_ptr< Value > &, const InfoHash &, const SockAddr &)

## Static Public Attributes

static const ValueType | TYPE

## Friends

std::ostream & | operator<< (std::ostream &, const IpServiceAnnouncement &)

## Detailed Description

Definition at line 203 of file default_types.h.

## Constructor & Destructor Documentation

## IpServiceAnnouncement() [1/3]

dht::IpServiceAnnouncement::IpServiceAnnouncement | ( | sa_family_t | family = `AF_UNSPEC`,
|  | in_port_t | p = `0`
| ) |  |

inline

Definition at line 211 of file default_types.h.

## IpServiceAnnouncement() [2/3]

dht::IpServiceAnnouncement::IpServiceAnnouncement | ( | const SockAddr & | sa | ) |

inline

Definition at line 216 of file default_types.h.

## IpServiceAnnouncement() [3/3]

dht::IpServiceAnnouncement::IpServiceAnnouncement | ( | const Blob & | b | ) |

inline

Definition at line 218 of file default_types.h.

## Member Function Documentation

## getPeerAddr()

const SockAddr & dht::IpServiceAnnouncement::getPeerAddr | ( |  | ) | const

inline

Definition at line 244 of file default_types.h.

## getPort()

in_port_t dht::IpServiceAnnouncement::getPort | ( |  | ) | const

inline

Definition at line 237 of file default_types.h.

## getType()

virtual const ValueType & dht::IpServiceAnnouncement::getType | ( |  | ) | const

inline virtual

Reimplemented from dht::Value::Serializable< IpServiceAnnouncement >.

Definition at line 248 of file default_types.h.

## msgpack_pack()

template<typename Packer >

void dht::IpServiceAnnouncement::msgpack_pack | ( | Packer & | pk | ) | const

inline

Definition at line 223 of file default_types.h.

## msgpack_unpack()

virtual void dht::IpServiceAnnouncement::msgpack_unpack | ( | msgpack::object | o | ) |

inline virtual

Definition at line 229 of file default_types.h.

## setPort()

void dht::IpServiceAnnouncement::setPort | ( | in_port_t | p | ) |

inline

Definition at line 240 of file default_types.h.

## Friends And Related Function Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | ,
|  | const IpServiceAnnouncement & |
| ) |  |

friend

print value for debugging

## Member Data Documentation

## TYPE

const ValueType dht::IpServiceAnnouncement::TYPE

static

Definition at line 209 of file default_types.h.

The documentation for this class was generated from the following file:

- /tmp/slackbuilds_libs/opendht-1.7.4/include/opendht/default_types.h